package com.fairvalidator.project.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.fairvalidator.project.model.FAIRresponseModel;
import com.fairvalidator.project.model.FAIRvalidatorModel;
import com.fairvalidator.project.model.ValidationResponseModel;
import com.fairvalidator.project.service.FAIRservice;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.springframework.core.env.Environment;
import static org.springframework.http.converter.json.Jackson2ObjectMapperBuilder.json;

@RestController
public class FAIRvalidatorController {

	@Autowired
	private FAIRservice fService;

	@Autowired
	private Environment env;

	@GetMapping("/test")
	public String test() {
		return "dsd";// this.fService.getValidation(null);

	}

	@PostMapping("/validation")
	public ValidationResponseModel getValidation(@RequestBody FAIRvalidatorModel fmodel ) {
                System.out.println(fmodel);
				String baseURL = "http://127.0.0.1:5000";
				try {
					if (this.env.getProperty("FAIR.validator.BaseURL")!=null)
					baseURL = this.env.getProperty("FAIR.validator.BaseURL");
				} catch (Exception e) {
					//TODO: handle exception
				}
		return this.fService.getValidation(fmodel,baseURL);
	}

}
